#include <stdio.h>
#include <stdlib.h>

long long N,L,H[1010],i,j,br;

long long prolaz(long long N, long long L, long long H[])
{
    br=0;

    for(j=1;j<=N;j++)
        {

        if(L<H[j])
        br++;
        else
        {
            return br+1;
            break;
        }

        if(br==N)
            return -1;
    }
}

int main()
{
    scanf("%lld%lld",&N,&L);

    for(i=1;i<=N;i++)
        scanf("%lld",&H[i]);

    printf("%lld",prolaz(N,L,H));


    return 0;
}